Deploy ML Cube
Deploys or redeploys the calculation cube for a selected Profitability and Cost Management application.
Required Roles
Service Administrator, Power User
REST Resource
POST
/epm/rest/{api_version}/applications/{application}/jobs/ledgerDeployCubeJob
Request
Supported Media Types: application/json
The following table summarizes the client request.
Table 10-11 Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
api_version |
Version of the API you are developing with | Path | Yes | None |
application |
Name of the application for which to deploy the cube | Path | Yes | None |
isKeepData |
Specify whether to preserve existing data | Payload | Yes | None |
isReplaceCube |
Specifies whether to replace existing cube Note: Bo |
Payload | Yes | None |
isRunNow |
Run now or schedule for later. (Schedule for later is not currently supported.) | Payload | Yes | None |
comment |
Any user comments | Payload | Yes | None |
Example URL and Payload
https://<BASE-URL>/epm/rest/v1/applications/{applicationName}/jobs/ledgerDeployCubeJob
{"isKeepData":"true","isRunNow":"true","comment":"Test Ml Deploy"}
Response
Supported Media Types: application/json
Table 10-12 Parameters
| Name | Description |
|---|---|
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes |
statusMessage |
Message about the status, such as In Progress |
type |
Profitability |
links |
Detailed information about the link |
href |
Links to API call |
action |
The HTTP call type |
rel |
Relationship type |
data |
Parameters as key value pairs passed in the request |
Example of Response Body
The following shows an example of the response body in JSON format.
{
"type":"Profitability",
"status":-1,
"statusMessage":"In Progress",
"details":"BksML30_DeployCube_D20220511T114550_da1",
"links":[
{
"href":"https://<BASE-URL>/epm/rest/v1/applications/jobs/ChecktaskStatusJob/BksML30_DeployCube_D20220511T114550_da1",
"action":"GET",
"rel":"Job Status"
}
]
}